# Class OpenCheatSheetAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.ui.cheatsheets.OpenCheatSheetAction

All Implemented Interfaces:
  `IAction`

public final class OpenCheatSheetAction extends Action
Action for opening a cheat sheet. The cheat sheet can be specified either by a cheat sheet id or by a URL of a cheat sheet content file.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from interface IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`OpenCheatSheetAction(String id)`
Creates an action that opens the cheat sheet with the given id.
`OpenCheatSheetAction(String id, String name, String xml, URL baseURL)`
Creates an action that opens a cheat sheet using XML passed in as a string.
`OpenCheatSheetAction(String id, String name, URL url)`
Creates an action that opens the cheat sheet with the given cheat sheet content file.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The default implementation of this `IAction` method does nothing.
`void`
`setTargetShell(Shell shell)`
Sets the shell in which the cheat sheet is opened.

### Methods inherited from class Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OpenCheatSheetAction

public OpenCheatSheetAction(String id)
Creates an action that opens the cheat sheet with the given id. The cheat sheet content file is located via the `org.eclipse.ui.cheatsheets.cheatSheetContent` extension point.

Parameters:
  `id` - the cheat sheet id
Throws:
  `IllegalArgumentException` - if `id` is `null`

### OpenCheatSheetAction

public OpenCheatSheetAction(String id, String name, URL url)
Creates an action that opens the cheat sheet with the given cheat sheet content file.

Parameters:
  `id` - the id to give this cheat sheet
  `name` - the name to give this cheat sheet
  `url` - URL of the cheat sheet content file
Throws:
  `IllegalArgumentException` - if the parameters are `null`

### OpenCheatSheetAction

public OpenCheatSheetAction(String id, String name, String xml, URL baseURL)
Creates an action that opens a cheat sheet using XML passed in as a string.

Parameters:
  `id` - the id to give this cheat sheet
  `name` - the name to give this cheat sheet
  `xml` - the cheatsheet content in xml format
  `baseURL` - is a URL which is only required if the cheat sheet is a composite cheat sheet which has tasks which use path parameters in which case the paths will be relative to baseURL. May be `null` if this is not a composite cheat sheet
Throws:
  `IllegalArgumentException` - if the parameters are `null`
Since:
  3.3

## Method Details

### run

public void run()
Description copied from class: `Action`
The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  - How radio buttons are handled
  - How check boxes are handled

### setTargetShell

public void setTargetShell(Shell shell)
Sets the shell in which the cheat sheet is opened. If this is not set, the active shell of the default display is used.

Parameters:
  `shell` - The shell in which the cheat sheet is opened.
Since:
  3.7